Bug 1395311 (CVE-2016-9575) - CVE-2016-9575 ipa: Insufficient permission check in certprofile-mod
Summary: CVE-2016-9575 ipa: Insufficient permission check in certprofile-mod
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-9575
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1402810 1402811 1404718
Blocks: 1395316
TreeView+ depends on / blocked
 
Reported: 2016-11-15 16:23 UTC by Adam Mariš
Modified: 2019-09-29 14:00 UTC (History)
6 users (show)

Fixed In Version: ipa 4.3.3, ipa 4.4.3
Doc Type: If docs needed, set a value
Doc Text:
It was found that IdM's certprofile-mod command did not properly check the user's permissions while modifying certificate profiles. An authenticated, unprivileged attacker could use this flaw to modify profiles to issue certificates with arbitrary naming or key usage information and subsequently use such certificates for other attacks.
Clone Of:
Environment:
Last Closed: 2017-01-02 11:49:09 UTC


Attachments (Terms of Use)
master, ipa-4-4, ipa-4-3, ipa-4-2 patch (1.73 KB, patch)
2016-11-15 16:25 UTC, Adam Mariš
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0001 normal SHIPPED_LIVE Moderate: ipa security update 2017-01-02 15:54:30 UTC

Description Adam Mariš 2016-11-15 16:23:34 UTC
Due to a missing permission check, certprofile-mod can be used by an authenticated but unprivileged user to modify certificate profile configuration. This could allow the issuance of certificates with fraudulent subject naming information (allowing the holder of the private key to impersonate another entity), or inappropriate key usage or extended key usage information (use of certificate for unauthorised purposes e.g. code signing).

Affected versions : 4.2 and above (all versions supporting certificate profiles)

Upstream patch :
https://git.fedorahosted.org/cgit/freeipa.git/commit/?id=fec4c32ff15a96736740cf7d2f713a21af0b227e

Comment 1 Adam Mariš 2016-11-15 16:25:28 UTC
Created attachment 1220871 [details]
master, ipa-4-4, ipa-4-3, ipa-4-2 patch

Comment 2 Fraser Tweedale 2016-11-16 01:09:51 UTC
Credit for discovery goes to Liam Campbell (Red Hat).

Comment 3 Adam Mariš 2016-11-16 09:25:35 UTC
Acknowledgments:

Name: Liam Campbell (Red Hat)

Comment 4 Adam Mariš 2016-11-23 14:28:05 UTC
Comment on attachment 1220871 [details]
master, ipa-4-4, ipa-4-3, ipa-4-2 patch

For ipa-4-3 and ipa-4-2, following change is needed:

ipaserver/plugins/certprofile.py => ipalib/plugins/certprofile.py

Comment 12 Cedric Buissart 🐶 2016-12-14 13:39:29 UTC
Created freeipa tracking bugs for this issue:

Affects: fedora-all [bug 1404718]

Comment 13 errata-xmlrpc 2017-01-02 10:54:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0001 https://rhn.redhat.com/errata/RHSA-2017-0001.html

Comment 14 Tomas Hoger 2018-03-13 20:21:17 UTC
Fixed upstream in FreeIPA 4.4.3 and 4.3.3:

https://www.freeipa.org/page/Releases/4.4.3
https://www.freeipa.org/page/Releases/4.3.3


Note You need to log in before you can comment on or make changes to this bug.